/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { BaseButtonFoundation, IBaseButtonFoundation } from './base/base-button-foundation';
import { IButtonAdapter } from './button-adapter';
import { ButtonTheme, ButtonVariant } from './button-constants';
export interface IButtonFoundation extends IBaseButtonFoundation {
    variant: ButtonVariant;
    pill: boolean;
    theme: ButtonTheme;
    fullWidth: boolean;
}
export declare class ButtonFoundation extends BaseButtonFoundation<IButtonAdapter> implements IButtonFoundation {
    private _variant;
    private _pill;
    private _theme;
    private _fullWidth;
    constructor(adapter: IButtonAdapter);
    initialize(): void;
    get variant(): ButtonVariant;
    set variant(value: ButtonVariant);
    get pill(): boolean;
    set pill(value: boolean);
    get theme(): ButtonTheme;
    set theme(value: ButtonTheme);
    get fullWidth(): boolean;
    set fullWidth(value: boolean);
}
